<?php
defined('BASEPATH') or exit('No direct script access allowed');

require_once 'vendor/autoload.php';

class Wsbpjsmonitoring extends CI_Controller
{	
   
		public function __construct()
		{
			parent::__construct();
			$this->load->model('data_menu');			
            $this->load->library('LibHttpRequest');		$this->load->library('LibHttpRequest');		
		}

		
		public function dataKunjungan()
		{	
			$json = file_get_contents('php://input');
			$obj = json_decode($json);

			$tanggalSep = $this->GetJsonObject($obj->{'tanggalSep'}) ;
			$jenisPelayanan = $this->GetJsonObject($obj->{'jenisPelayanan'}) ;	
			$url = 'Monitoring/Kunjungan/Tanggal/'.$tanggalSep.'/JnsPelayanan/'.$jenisPelayanan;
			echo $this->HttpRequest("GET",$url) ;		
		}

		public function dataKlaim()
		{	
			$json = file_get_contents('php://input');
			$obj = json_decode($json);

			$tanggalPulang = $this->GetJsonObject($obj->{'tanggalPulang'}) ;
			$jenisPelayanan = $this->GetJsonObject($obj->{'jenisPelayanan'}) ;	
			$statusKlaim = $this->GetJsonObject($obj->{'statusKlaim'}) ;
			$url = 'Monitoring/Klaim/Tanggal/'.$tanggalPulang.'/JnsPelayanan/'.$jenisPelayanan.'/Status/'.$statusKlaim;
			echo $this->HttpRequest("GET",$url) ;		
		}

        public function dataHistoriPelayananPeserta()
		{	
			$json = file_get_contents('php://input');
			$obj = json_decode($json);

			$noKartuPeserta = $this->GetJsonObject($obj->{'noKartuPeserta'}) ;
			$tanggalMulaiPencairan = $this->GetJsonObject($obj->{'tanggalMulaiPencairan'}) ;	
			$tanggalAkhirPencairan = $this->GetJsonObject($obj->{'tanggalAkhirPencairan'}) ;
			$url = 'Monitoring/HistoriPelayanan/NoKartu/'.$noKartuPeserta.'/tglMulai/'.$tanggalMulaiPencairan.'/tglAkhir/'.$tanggalAkhirPencairan;
			echo $this->HttpRequest("GET",$url) ;		
		}

        public function dataKlaimJaminanJasaRaharja()
		{	
			$json = file_get_contents('php://input');
			$obj = json_decode($json);

			$jenisPelayanan = $this->GetJsonObject($obj->{'jenisPelayanan'}) ;
			$tanggalMulaiPencairan = $this->GetJsonObject($obj->{'tanggalMulaiPencairan'}) ;	
			$tanggalAkhirPencairan = $this->GetJsonObject($obj->{'tanggalAkhirPencairan'}) ;
			$url = 'Monitoring/JasaRaharja/JnsPelayanan/'.$jenisPelayanan.'/tglMulai/'.$tanggalMulaiPencairan.'/tglAkhir/'.$tanggalAkhirPencairan;
			echo $this->HttpRequest("GET",$url) ;		
		}
		
		public function HttpRequest($method,$endPoint,$params="",$contentType="application/x-www-form-urlencoded")
		{			
			echo $this->libhttprequest->vclaim($method,$endPoint,$params,$contentType);
			exit();			
		}
	
		function GetJsonObject($obj){
			return isset($obj) ? $obj : ""; 
		}
	
	
	
	
	
	
	
	
	

}